rpms/setroubleshoot/devel .cvsignore, 1.78, 1.79 setroubleshoot.init, 1.13, 1.14 setroubleshoot.spec, 1.95, 1.96 sources, 1.89, 1.90

John Dennis (jdennis) fedora-extras-commits at redhat.com
Fri Jan 11 17:17:17 UTC 2008


Author: jdennis

Update of /cvs/pkgs/rpms/setroubleshoot/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv16710/devel

Modified Files:
	.cvsignore setroubleshoot.init setroubleshoot.spec sources 
Log Message:
upgrade to upstream bug fix



Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/setroubleshoot/devel/.cvsignore,v
retrieving revision 1.78
retrieving revision 1.79
diff -u -r1.78 -r1.79
--- .cvsignore	4 Jan 2008 15:13:25 -0000	1.78
+++ .cvsignore	11 Jan 2008 17:16:40 -0000	1.79
@@ -1 +1 @@
-setroubleshoot-2.0.1.tar.gz
+setroubleshoot-2.0.2.tar.gz


Index: setroubleshoot.init
===================================================================
RCS file: /cvs/pkgs/rpms/setroubleshoot/devel/setroubleshoot.init,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- setroubleshoot.init	28 Dec 2007 16:17:01 -0000	1.13
+++ setroubleshoot.init	11 Jan 2008 17:16:40 -0000	1.14
@@ -52,15 +52,30 @@
 # Source function library.
 . /etc/init.d/functions
 
+RETVAL=0
+prog="setroubleshootd"
+
+rhstatus(){
+    status $prog
+    RETVAL=$?
+    return $RETVAL
+}
+
+# Allow status as non-root and also if SELinux is disabled
+if [ "$1" = status ]; then
+	rhstatus
+	RETVAL=$?
+	exit $RETVAL
+fi
+
 # Silently exit is SELinux is not enabled
 [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled || exit 1
 
 # Check that we are root ... so non-root users stop here
-test `id -u` = 0  || exit 4
-
-RETVAL=0
-
-prog="setroubleshootd"
+if test `id -u` != 0; then
+	echo "You must be root"
+	exit 4
+fi
 
 start(){
     echo -n $"Starting $prog: "
@@ -97,11 +112,14 @@
 restart(){
     stop
     start
+    RETVAL=$?
+    return $RETVAL
 }
 
 condrestart(){
     [ -e /var/lock/subsys/$prog ] && restart
-    return 0
+    RETVAL=0
+    return $RETVAL
 }
 
 cleardb(){
@@ -112,7 +130,8 @@
     rm -f /var/lib/setroubleshoot/database.xml
     rm -f /var/lib/setroubleshoot/audit_listener_database.xml
     [ $running == 1 ] && start
-    return 0
+    RETVAL=0
+    return $RETVAL
 }
 
 
@@ -120,24 +139,31 @@
 case "$1" in
     start)
 	start
+	RETVAL=$?
 	;;
     stop)
 	stop
+	RETVAL=$?
 	;;
     status)
-	status $prog
+	rhstatus
+	RETVAL=$?
 	;;
     restart)
 	restart
+	RETVAL=$?
 	;;
     force-reload|reload)
 	reload
+	RETVAL=$?
 	;;
     try-restart|condrestart)
 	condrestart
+	RETVAL=$?
 	;;
     cleardb)
 	cleardb
+	RETVAL=$?
 	;;
     *)
 	echo $"Usage: $0 {start|stop|status|restart|try-restart|condrestart|reload|force-reload|cleardb}"


Index: setroubleshoot.spec
===================================================================
RCS file: /cvs/pkgs/rpms/setroubleshoot/devel/setroubleshoot.spec,v
retrieving revision 1.95
retrieving revision 1.96
diff -u -r1.95 -r1.96
--- setroubleshoot.spec	4 Jan 2008 15:13:25 -0000	1.95
+++ setroubleshoot.spec	11 Jan 2008 17:16:40 -0000	1.96
@@ -1,6 +1,6 @@
 Summary: Helps troubleshoot SELinux problems
 Name: setroubleshoot
-Version: 2.0.1
+Version: 2.0.2
 Release: 1%{?dist}
 License: GPLv2+
 Group: Applications/System
@@ -78,7 +78,7 @@
 
 %postun
 /usr/bin/update-desktop-database %{_datadir}/applications
-touch --no-create %{_datadir}/icons/hicolor || :
+touch --no-create %{_datadir}/icons/hicolor
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
 
 %prep
@@ -111,7 +111,7 @@
 Requires: libxml2-python
 Requires: libselinux-python
 Requires: audit-libs-python
-Requires: libuser
+Requires: libuser-python
 
 BuildRequires: intltool gettext python
 
@@ -129,8 +129,8 @@
 
 %post server
 if [ -f %{pkgdatabase} ]; then
-    chown root:root %{pkgdatabase} >/dev/null 2>&1 || :
-    chmod 600 %{pkgdatabase} >/dev/null 2>&1 || :
+    chown root:root %{pkgdatabase} >/dev/null 2>&1
+    chmod 600 %{pkgdatabase} >/dev/null 2>&1
 fi
 /sbin/chkconfig --add %{name}
 /sbin/service %{name} condrestart >/dev/null 2>&1 || :
@@ -138,13 +138,9 @@
 %preun server
 if [ $1 = 0 ]; then
     /sbin/service %{name} stop >/dev/null 2>&1
-    /sbin/chkconfig --del %{name}
+    /sbin/chkconfig --del %{name} || :
 fi
 
-%triggerpostun -- setroubleshoot < 2.0.1
-/sbin/service %{name} cleardb
-
-
 %clean 
 rm -rf %{buildroot}
 
@@ -186,6 +182,23 @@
 %attr(0755,root,root) /etc/rc.d/init.d/%{name}
 
 %changelog
+* Fri Jan 11 2008  <jdennis at redhat.com> - 2.0.2-1
+	- Resolve bug #428252: Problem with update/remove old version
+	- Add code to validate xml database version, if file is incompatible it is not read,
+	  the next time the database is written it will be in the new version format.
+	  This means the database contents are not preserved across database version upgrades.
+	- Remove postun trigger from spec file used to clear database between incompatible versions
+	  the new database version check during database read will handle this instead
+	- bullet proof exit status in init script and rpm scriptlets
+	- Resolve bug #247302: setroubleshoot's autostart .desktop file fails to start under a KDE session
+	- Resolve bug #376041: Cannot check setroubleshoot service status as non-root
+	- Resolve bug #332281: remove obsolete translation
+	- Resolve bug #344331: No description in gnome-session-properties
+	- Resolve bug #358581: missing libuser-python dependency
+	- Resolve bug #426586: Renaming translation po file from sr at Latn to sr at latin
+	- Resolve bug #427260: German Translation
+	- enhance the sealert man page
+
 * Fri Jan  4 2008  <jdennis at redhat.com> - 2.0.1-1
 	- make connection error message persist instead of timeout in browser
 	- updated Brazilian Portuguese translation: Igor Pires Soares <igor at fedoraproject.org>
@@ -209,6 +222,7 @@
 	- make sure set_filter user validation works and reports error in browser
 	- fix generation of line numbers and host when connected to audispd
 	- add permissive notification, resolves bug #231334: Wording doesn't change for permissive mode
+	- resolves bug #244345: avc path information incomplete
 	- get the uid,gid when a client connects to the server
 	- set_filter now verifies the filter is owned by the user,
 	- resolves bug #288261: setroubleshoot lack of user authentication


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/setroubleshoot/devel/sources,v
retrieving revision 1.89
retrieving revision 1.90
diff -u -r1.89 -r1.90
--- sources	4 Jan 2008 15:13:25 -0000	1.89
+++ sources	11 Jan 2008 17:16:40 -0000	1.90
@@ -1 +1 @@
-2e97000e607708e4a80d0a67649787ac  setroubleshoot-2.0.1.tar.gz
+9ca6ef75d47fe8fbecfe7698a86430c7  setroubleshoot-2.0.2.tar.gz




More information about the fedora-extras-commits mailing list